#include "context_window.hpp"
#include <GLFW/glfw3.h>

namespace window {
    ContextWindow::~ContextWindow() noexcept {
        glfwTerminate();
    }

    ContextWindow::ContextWindow(const GLFWerrorfun error_clbk) noexcept {
        glfwSetErrorCallback(error_clbk);
        if (glfwInit() == GLFW_FALSE) {
            init = false;
        }
        init = true;
    }
} // window
